# stg-id(1) Manual Page

## NAME

stg-id - Print the git hash value of a StGit reference

## SYNOPSIS

    stg id [options] [--] [<id>]

## DESCRIPTION

Print the SHA1 value of a Git id (defaulting to HEAD). In addition to the standard Git id’s like heads and tags, this command also accepts [<branch>:]<patch> for the id of a patch, [<branch>:]{base} for the base of the stack and [<branch>:]{public} for the public branch corresponding to the stack (see the publish command for details). If no branch is specified, it defaults to the current one. The bottom of a patch is accessible with the [<branch>:]<patch>^ format.

## StGit

Part of the StGit suite - see stg(1)